#include "ConfigOption.h"
#include <iostream>

	
	ConfigOption::ConfigOption(){

		
		reader = new INIReader("Div/ConfigParser/config_files/config.ini");

		if (reader->ParseError() < 0) {
        std::cout << "Can't load 'Config File config.ini'\n";
		}
		
		height = reader->GetInteger("video", "height", 800);
		width =  reader->GetInteger("video", "width", 600);
		videoMode =  reader->GetBoolean("video", "mode", false);
		setrefreshrate = reader->GetBoolean("video", "setrefreshrate", false);
		refreshrate = reader->GetInteger("video", "refreshrate", 60);
    }
	

	int ConfigOption::getHeight(){
		return height;
	}
	int ConfigOption::getWidth(){
		return width;
	}
	bool ConfigOption::getVideoMode(){
		return videoMode;
	}

	bool ConfigOption::getRefreshActive(){
		return setrefreshrate;
	}
	int ConfigOption::getRefreshRate(){
		return refreshrate;
	}