#version 330

in vec3 position;
in vec2 uv;

out vec2 fUVs;
out vec3 fragPosition;
out vec3 hellsky;

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;
uniform vec3 recolor;

void main(){

	fUVs = uv;
	//worldNormal = normal;
	fragPosition = position;


	gl_Position = projectionMatrix * modelMatrix * vec4(position,1);
	hellsky = recolor;
}
