//#ifndef TARGET_SOLUTION

#pragma once

#include <string>
#include <GL\glew.h>

namespace cgue
{
	class Texture
	{
	public:
		Texture();
		Texture(const char *path);
		~Texture();

		void bind(int tex_unit = 0);
		//unsigned char* LoadTexture(const std::string &path, unsigned int &width, unsigned int &height);
		unsigned char* LoadTexture(const char *path);
		unsigned char* LoadTextureMipMap(const char *path,bool usemipmap);
		

	private:
		GLuint tex_handle;
		unsigned int width, height;
		bool hasMipMap;
	};
}